# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2020-04-16 21:44
from __future__ import unicode_literals

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('customers', '0017_auto_20200416_1116'),
    ]

    operations = [
        migrations.CreateModel(
            name='InvoiceBatch',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('batch', django.contrib.postgres.fields.jsonb.JSONField(null=True, verbose_name='batch')),
                ('kind', models.PositiveSmallIntegerField(choices=[(1, 'Boleta'), (2, 'Factura'), (3, 'Nota de crédito'), (4, 'Nota de débito'), (5, 'Devolución'), (6, 'Nota de cobro'), (7, 'Nota de venta')], default=1, verbose_name='kind')),
                ('created_on', models.DateField(blank=True, null=True, verbose_name='created on')),
                ('expiration', models.DateField(blank=True, null=True, verbose_name='expiration')),
            ],
            options={
                'verbose_name': 'invoice batch',
                'verbose_name_plural': 'invoices batch',
                'ordering': ['-created_on'],
            },
        ),
        migrations.CreateModel(
            name='OperatorInformation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rut', models.CharField(max_length=20, unique=True, verbose_name='rut')),
                ('name', models.CharField(max_length=100, verbose_name='name')),
                ('address', models.CharField(max_length=200, verbose_name='address')),
                ('operator_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='customers.Operator')),
            ],
            options={
                'verbose_name': 'operator information',
                'verbose_name_plural': 'operators information',
                'ordering': ['-operator_id'],
            },
        ),
        migrations.CreateModel(
            name='ProcessedBatch',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('batch_processed', django.contrib.postgres.fields.jsonb.JSONField(null=True, verbose_name='processed')),
                ('processed_on', models.DateField(blank=True, null=True, verbose_name='created on')),
                ('stock', models.PositiveIntegerField(default=0, verbose_name='stock')),
                ('batch_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='customers.InvoiceBatch')),
            ],
            options={
                'verbose_name': 'processed batch',
                'ordering': ['-processed_on'],
            },
        ),
    ]
